<template>
	<view class="">
		<view style="background-color: blue;width: 680rpx;height: 200rpx; margin:20rpx auto; border-radius: 30rpx;">huiyuan</view>
		<u-tabs :list="list1" @click="click"></u-tabs>

		<view v-if="index == 0">
			<u-popup :show="show" mode="center" @close="close" @open="open">
				<view>
					<view style="width: 500rpx;height: 400rpx; padding: 30rpx;">请购买</view>
				</view>
			</u-popup>
			<u-button @click="show = true">000000</u-button>

		</view>

		<view v-if="index == 1">
			11111
		</view>

	</view>
</template>

<script>
	export default {
		data() {
			return {
				show: false,
				index: 0,
				list1: [{
					name: '关注',
				}, {
					name: '推荐',
				}, {
					name: '电影'
				}, {
					name: '科技'
				}, {
					name: '音乐'
				}, {
					name: '美食'
				}, {
					name: '文化'
				}, {
					name: '财经'
				}, {
					name: '手工'
				}]
			}
		},
		methods: {
			open() {
				// console.log('open');
			},
			close() {
				this.show = false
				// console.log('close');
			},
			click(item) {
				this.index = item.index
				console.log('item', item.name);
			}
		}
	}
</script>

<style>
</style>
